<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>spin</name>
  <program_name>spin</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>window1</name>
  <visible>False</visible>
  <title>window1</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>False</auto_shrink>

  <widget>
    <class>GtkFrame</class>
    <name>main_widget</name>
    <label_xalign>0</label_xalign>
    <shadow_type>GTK_SHADOW_OUT</shadow_type>

    <widget>
      <class>GtkEventBox</class>
      <name>eventbox3_blue</name>

      <widget>
	<class>GtkVBox</class>
	<name>vbox1</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox1</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkToggleButton</class>
	    <name>togglebutton1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>toggled</name>
	      <handler>gdam_skin_toggle_button:bendable</handler>
	      <last_modification_time>Tue, 08 Feb 2000 02:14:10 GMT</last_modification_time>
	    </signal>
	    <label>Bender </label>
	    <active>True</active>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkOptionMenu</class>
	    <name>optionmenu1_blue</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>selection-done</name>
	      <handler>gdam_skin_option_menu_enumeration:mode</handler>
	      <last_modification_time>Sat, 01 Dec 2001 07:56:02 GMT</last_modification_time>
	    </signal>
	    <items>continuous
keep time
snap time
return to start
keep in beat
keep input constant
input constant valid
</items>
	    <initial_choice>1</initial_choice>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkSpinButton</class>
	    <name>spinbutton4</name>
	    <tooltip>seconds of backbuffer to preserve for stalls and rewinds</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>value_changed</name>
	      <handler>gdam_skin_adjustment:backbuffer</handler>
	      <last_modification_time>Wed, 31 Oct 2001 12:12:18 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_skin_defocus_on_activate</handler>
	      <last_modification_time>Thu, 13 Apr 2000 21:52:18 GMT</last_modification_time>
	    </signal>
	    <climb_rate>1</climb_rate>
	    <digits>0</digits>
	    <numeric>True</numeric>
	    <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	    <snap>False</snap>
	    <wrap>False</wrap>
	    <value>1</value>
	    <lower>1</lower>
	    <upper>120</upper>
	    <step>1</step>
	    <page>10</page>
	    <page_size>10</page_size>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	</widget>



	<widget>
	  <class>GtkHBox</class>
	  <name>hbox1</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>


	  <!--> morph_array:
	  	step_size_beats,rate_delta,rate_factor,num_steps,jump_size_beats,[current_rate]  
	</!-->

	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_double_array:morph_array:[0.5 0 -1.0 20000 0]</handler>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>rub:</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_double_array:morph_array:[0.125 0 -1.0 20000 0]</handler>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>fast</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>


	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_double_array:morph_array:[0.5 0 -0.875 20 0]</handler>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>down</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>


	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_double_array:morph_array:[0.25 0 -0.875 20 0 2.0]</handler>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>2 down</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>


	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_double_array:morph_array:[0.125 0.01 -1.2 100 0 0]</handler>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>0 up</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	</widget>



	<widget>
	  <class>GtkHBox</class>
	  <name>hbox1</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>


	  <!--> morph_array:
	  	step_size_beats,rate_delta,rate_factor,num_steps,jump_size_beats,[current_rate]  
	</!-->

	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_double_array:morph_array:[1.0 0 1.0 20000 -1.0]</handler>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>spin:</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_double_array:morph_array:[0.25 0 1.0 20000 -0.25]</handler>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>fast</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>


	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_double_array:morph_array:[0.5 0 0.875 20 -0.5]</handler>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>down</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>


	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_double_array:morph_array:[0.25 0 0.875 20 -0.25 2.0]</handler>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>2 down</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>


	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_double_array:morph_array:[0.125 0.01 1.2 25 -0.125 0]</handler>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>0 up</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	</widget>






	<widget>
	  <class>GtkHBox</class>
	  <name>hbox1</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_double_array:morph_array:[0.0005 0.001 1.0 4000 0 -4.0]</handler>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>djrewind</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_double_array:morph_array:[0.001 0 0.999 4000 0 -1.0]</handler>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>backstall</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>


	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_double_array:morph_array:[0.001 -0.001 1.0 2000 0 1.0]</handler>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>reverse</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>


	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_double_array:morph_array:[0.001 0.001 1.0 2000 0 -1.0]</handler>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>\/</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>


	</widget>



	<widget>
	  <class>GtkHBox</class>
	  <name>hbox1</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>


	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_double_array:morph_array:[0.125 0 1.0 2000000 -0.09375]</handler>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>respeed: 1/4</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_double_array:morph_array:[0.0625 0 1.0 2000000 -0.0546875]</handler>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>1/8</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_double_array:morph_array:[0.03125 0 1.0 2000000 -0.0292988]</handler>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>1/16</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>


	</widget>



	<widget>
	  <class>GtkHBox</class>
	  <name>hbox4</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_double_array:morph_array:[0.0625 0 1.0 2000000 -0.0625 2.0]</handler>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>octave</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_double_array:morph_array:[0.0625 0 1.0 2000000 0.0625 0.5]</handler>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>-</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>



	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_double_array:morph_array:[0.0625 0 1.0 2000000 -0.0546875 2.0]</handler>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>fast 1/8</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_double_array:morph_array:[0.0625 0 0.99 2000000 -0.0546875 2.0]</handler>
	    </signal>
	    <signal>
	      <name>released</name>
	      <handler>gdam_skin_arg_int:passthrough:1</handler>
	      <last_modification_time>Thu, 08 Nov 2001 14:42:57 GMT</last_modification_time>
	    </signal>
	    <label>fast 1/8 down</label>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>




	</widget>




	<widget>
	  <class>GtkHBox</class>
	  <name>hbox4</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkEventBox</class>
	    <name>eventbox4_blue</name>
	    <signal>
	      <name>gdam-left-clicked</name>
	      <handler>gdam_skin_do_toggle:follow_position</handler>
	    </signal>

	    <widget>
	      <class>GtkProgressBar</class>
	      <name>progressbar1</name>
	      <signal>
		<name>value_changed</name>
		<handler>gdam_skin_adjustment:playback_fraction</handler>
		<last_modification_time>Tue, 20 Nov 2001 10:18:45 GMT</last_modification_time>
	      </signal>
	      <value>0.5</value>
	      <lower>0</lower>
	      <upper>1</upper>
	      <bar_style>GTK_PROGRESS_CONTINUOUS</bar_style>
	      <orientation>GTK_PROGRESS_RIGHT_TO_LEFT</orientation>
	      <activity_mode>False</activity_mode>
	      <show_text>True</show_text>
	      <format>%P %%</format>
	      <text_xalign>0.5</text_xalign>
	      <text_yalign>0.5</text_yalign>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkLabel</class>
	    <name>label2</name>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_skin_label:playback_position:%3.3f</handler>
	      <last_modification_time>Mon, 19 Nov 2001 13:32:16 GMT</last_modification_time>
	    </signal>
	    <label>pos</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkLabel</class>
	    <name>label3</name>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_skin_label:playback_offset:%3.3f</handler>
	      <last_modification_time>Tue, 20 Nov 2001 10:00:46 GMT</last_modification_time>
	    </signal>
	    <label>offset</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>
	</widget>
      </widget>
    </widget>
  </widget>
</widget>

</GTK-Interface>
